ISCSI-MD5SUM(1)

NAME
iscsi-md5sum - Utility to calculate MD5 value of an iSCSI LUN at range [LBAm, LBAn)

SYNOPSIS

iscsi-md5sum [ OPTIONS ] <ISCSI-PORTAL>

iscsi-md5sum [-i --initiator-name=<IQN>] [-o --offset] [-l --length] [-d --debug] [-? --help] [--usage]

DESCRIPTION

iscsi-md5sum is a utility to calculate MD5 value of an iSCSI LUN at range [LBAm, LBAn).

ISCSI PORTAL URL FORMAT

iSCSI portal format is 'iscsi://[<username>[%<password>]@]<host>[:<port>]'

Username and password are only required if the target requires CHAP authentication. Optionally you can specify the username and password via the environment variables LIBISCSI_CHAP_USERNAME and LIBISCSI_CHAP_PASSWORD.

Host can be specified either as a hostname, an IPv4 address or an IPv6 address. Examples:

    	iscsi://192.0.2.1
    	iscsi://[2001:DB8::1]:3261
    	iscsi://ronnie%password@iscsi.example.com

Port is the TCP port on the target to connect to. Default is 3260.

OPTIONS

-i --initiator-name=<IQN>
    This specifies the initiator-name that iscsi-md5sum will use when logging in to the target.

    The default name is 'iqn.2007-10.com.github:sahlberg:libiscsi:iscsi-md5sum' but you can use this argument to override this. This is mainly needed for cases where the target is configured with access-control to only allow discovery logins from known initiator-names.

-o --offset
    Byte offset into the target from which to start calculating. The provided value must be aligned to the target sector size. The default value is zero.

-l --length
    The number of bytes to calculate (counting from the starting point). The provided value must be aligned to the target sector size. If the specified value extends past the end of the device, iscsi-md5sum will stop at the device size boundary. The default value extends to the end of the device.

-d --debug
    Print debug information.

-? --help
    Display basic help text.

--usage
    Display basic usage text.

AUTHOR

zhenwei pi <pizhenwei@bytedance.com>

SEE ALSO

iscsi-inq(1) http://github.com/sahlberg/libiscsi